
Figure - Bug #114341
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111068 (New): AF-V3.0--Launcher/SystemUI-定制屏保

【AF】【EVT】【屏保】应用系统屏保时，图片显示不完整
2022-12-06 17:53 - CD TEST-方永红

Status: CLOSED Start date: 2022-12-06

Priority: Normal Due date: 2022-12-15

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212030304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

Reproducibility: Every time Fixed Version: 2022-12-08

Test Type: IT Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、设置-显示-屏保

2、应用系统屏保

3、等待设备进入屏保

【预期结果】

1、屏保完整显示应用的图片（图片尺寸不符合屏幕的，两边留黑）

【实际结果】

1、图片显示不完整

History

#1 - 2022-12-07 11:12 - CD APP-王营

- Due date set to 2022-12-15

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-黄棚

#2 - 2022-12-07 11:17 - CD APP-黄棚

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-12-08

- Root cause set to 编码问题

■ Current conclusion

编码问题

■ My analysis

修改预览图以及屏保图片的显示方式为fitCenter

■Submit URL
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/168182

#3 - 2022-12-08 10:16 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

168182 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

huangpeng1216@thundersoft.com

FW:ScreenSaver: Change preview and screensaver scale type to fitCenter1.Change preview and screensaver scale type to fitCenterTC-RID: 1201-0300601IssueID:

TS-R-BUG-114341Change-Id: Iffbf8c5f750ac186817eb233cea111055be0c2e8

#4 - 2022-12-08 13:37 - CD APP-黄棚

- Assignee changed from CD APP-黄棚 to CD TEST-方永红

#5 - 2022-12-09 10:31 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212090644

12.9

验证通过

#6 - 2022-12-09 10:31 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

完整.jpg 35 KB 2022-12-06 CD TEST-方永红

不完整.jpg 776 KB 2022-12-06 CD TEST-方永红
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/168182

